<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="managerbody.aspx.cs" Inherits="Discuz.ForumPage.Admin.managerbody" %>
<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title> ASP.net|论坛 管理后台 - Discuz!NT - Powered by Discuz! NT</title>
<meta name="keywords" content="ASP.net,论坛" />
<meta name="description" content="Discuz!NT,论坛,asp.net" />
<link href="../styles/dntmanager.css" rel="stylesheet" type="text/css" />
<STYLE type="text/css">
        .collapse { BACKGROUND-POSITION: center center; BACKGROUND-IMAGE: url(images/collapse.gif); WIDTH: 6px; BACKGROUND-REPEAT: no-repeat; POSITION: absolute; HEIGHT: 50px; BACKGROUND-COLOR: aliceblue }
        .expand { BACKGROUND-POSITION: center center; BACKGROUND-IMAGE: url(images/expand.gif); WIDTH: 6px; BACKGROUND-REPEAT: no-repeat; POSITION: absolute; HEIGHT: 50px; BACKGROUND-COLOR: aliceblue }
		body {margin:0;}
</STYLE>
	<script language="javascript" src="../js/AjaxHelper.js" type="text/javascript"></script>
	<SCRIPT language="javascript">
			function window_load(){
				//$("resizediv").style.height=document.body.clientHeight;
				
				//$("resizediv").style.left= 0 //document.body.clientWidth - 6;
				
				//$("resizediv").style.display= '';
			}
			
			function resizediv_onClick(){
				if ($("resizediv").className == "collapse"){
					top.document.getElementsByTagName('FRAMESET')[1].cols = "7,*";
					$("resizediv").className = "expand";
				}
				else{
					top.document.getElementsByTagName('FRAMESET')[1].cols = "150,*";
					$("resizediv").className = "collapse";
				}
			
			}
			
			function SetMenuItemFocus(obj)
			{
			    menuitemcollection = document.getElementsByName("menuitem")
			    for(i = 0; i < menuitemcollection.length; i++)
			    {
			        menuitemcollection[i].className = "";
			    }
			    obj.className = "currentitem";
			}
	</SCRIPT>
	
	
    <script language="javascript" src="../js/common.js" type="text/javascript"></script>
</head>

<script>
var toptabmenuid = '<%=Discuz.Common.DNTRequest.GetString("toptabmenuid")%>';
if(toptabmenuid!="")
{
   document.write("<BODY class=\"NtTab"+(toptabmenuid%7)+"\" onload=\"window_load();\">");
}
else
{
   document.write("<BODY class=\"NtTab1\"   onload=\"window_load();\">"); 
}
//alert(toptabmenuid%7);
</script>
	<div class="NavBody" >
	   <FORM id="Form1" method="post">
		<div id="ManagerBodyMenu">
			<div class="InnerBodyMenu">
			
<script>			
switch (toptabmenuid%7)
{    
      case 1: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#C5DEF5; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
      case 2: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#ffdd7b; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
      case 3: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#bca8e1; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
      case 4: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#9dc2b7; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
      case 5: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#F6FA7D; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
      case 6: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#a0a0b3; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
      default: document.write("<div id=\"loadnavmenu\" style=\"z-index: 99998; position: absolute; top: 0pt; left:0pt; background-color:#becea1; width: 165px; height: 2500px;font-size:15px\"><br>&nbsp;&nbsp;加载数据中...</div>"); break;
}
</script>
      			
			    
				<cc1:navmenu id="Navmenu2" runat="server" XmlFileFullPathName="../xml/navmenu.config"	ScriptPath="../js/Navbar.js" ImageUrl="../images/" ></cc1:navmenu>
			</div>
		</div>
		
	
<!--显示快捷菜单-->		
<script>
function setshorcutmenu(setoption)
{
   $('shorcutmenu').style.display=setoption;
}
function LoadShortcutMenu()
{
    AjaxHelper.Updater('../UserControls/shortcutmenu','shorcutmenu','');
}
</script>		
<div id="shorcutmenu"  class="DropWindow" style="position:absolute; display:none; top:0px; left:0px;" onmouseout="setshorcutmenu('none')" onmouseover="setshorcutmenu('block')">
</div>
<!--显示快捷菜单-->    


<!--显示搜索选项层-->



			<div id="searchoption" class="popupmenu-new" style="position:absolute; display:none; top:-8px; right:134px;width:70px;" onmouseover="setseachmenu('block')" onmouseout="setseachmenu('none')">
				<div id="popupmenuitemlast" class="popupmenu-item-last">
					<div id="popupmenuitem" class="popupmenu-item" style="border-top:0px;">
						<div>&nbsp;&nbsp;<a href="javascript:void(0);" onclick="javascript:top.topFrame.setseachtype('function');setseachmenu('none');" onfocus="this.blur();">功能</a></div>
						<div>&nbsp;&nbsp;<a href="javascript:void(0);" onclick="javascript:top.topFrame.setseachtype('user');setseachmenu('none');" onfocus="this.blur();" >用户</a></div>
					</div>
                </div>	
            </div>	
 				
<script>
function setseachmenu(setoption)
{
   $('searchoption').style.display=setoption;
}
cancelbubble($('searchoption'));
</script> 				
<!--显示搜索选项层-->
  

<!--显示搜索结果-->  
<script language="javascript" src="../js/modalpopup.js"></script>
<LINK href="../styles/modelpopup.css" type="text/css" rel="stylesheet" />
<script language="javascript1.2" type="text/javascript">	
    var mainsrc = "";
    function  Search(searchinf,searchtype)
    {
       if($('main').src!="about:blank")
       {
          mainsrc = $('main').src;
       }
       
       $('main').src="about:blank";
       $('searchresult').innerHTML = '<table width=\"260\" height=\"75\"><tr><td><img border=\"0\" src=\"../images/ajax_loading.gif\" /></td><td valign=middle>正在搜索数据, 请稍候......</td></tr></table>';
       AjaxProxyUrl = new String("../ajax.aspx");
       switch(searchtype)
       {
          case 'function':
          {
              AjaxHelper.Updater('../UserControls/searchfunction','searchresult','searchinf='+searchinf);break
          }
          case 'user':
          {
              AjaxHelper.Updater('../UserControls/searchuser','searchresult','searchinf='+searchinf);break;
          }
       }
       //alert(searchtype);
       BOX_show('PopUpModel');
    }
    
    function resetindexmenu(showmenu,toptabmenuid,mainmenulist,link)
    {
        top.topFrame.locationurl(showmenu,toptabmenuid,mainmenulist,link);
    }
    
    function hidemodelbox(boxid)
    {
       BOX_remove('setting',mainsrc);
       $('main').src = mainsrc;
       //alert(mainsrc);
    }
</script>	    
                  <div id="setting" style="display:none;">
                    <!--<iframe  id="search" style="position:absolute;z-index:2;width:100%;top:0;left:0;scrolling:no;" allowTransparency="true"  frameborder="0"></iframe>-->
                	<div id="PopUpModel" style="display: none;" class="PopUpModel" >
                		<div class="ctrl_title"><a href="javascript:void(0);" onclick="hidemodelbox('setting');"><img src ="../images/close.gif" border="0"/></a>搜索结果 </div>
                		<div id="searchresult" ></div>
                	</div>
                  </div>	
<!--显示搜索结果-->   



		
		
		</FORM>
		<div id="ManagerBody">
			<div class="InnerBody">
				<div id="NavManager">
<%if(Discuz.Common.DNTRequest.GetString("defaulturl")!=""){%>				
					<iframe id="main" frameborder="0" scrolling="auto" src="../<% = Discuz.Common.DNTRequest.GetString("defaulturl")%>" width="100%" height="600px"></iframe>
<%}else{%>				
                    <iframe id="main" frameborder="0" scrolling="auto" src="../RapidSet/shortcut.aspx" width="100%" height="600px"></iframe>	
<%}%>
				</div>
			</div>
		</div>
	</div>

<script>
function setscreendiv()
{
    var clientHeight = 768;
    var bo = $('NavManagerMenu');
    var iframe = $('main');
    if(navigator.userAgent.toLowerCase().indexOf('opera') != -1)
    {
        clientHeight = document.documentElement.clientHeight+190;
    }
    else
    { 
        clientHeight = document.documentElement.clientHeight-25;
    }

    if(navigator.userAgent.toLowerCase().indexOf('msie') != -1)
    {
        bo.style.height = clientHeight+'px';
        //alert(clientHeight);
    }
    else
    {
        bo.style.minHeight = clientHeight+'px';
    }
    
    var clientHeight = 768;
      
    if(navigator.userAgent.toLowerCase().indexOf('opera') != -1)
    {
        clientHeight = document.documentElement.clientHeight+186;
    }
    else
    {
        clientHeight = document.documentElement.clientHeight-27;
    }
    iframe.style.height = clientHeight +'px';
    
    var navmanagermenu = $('NavManagerMenu');
    //alert(clientHeight);
    navmanagermenu.style.height = clientHeight +2+'px';
    navmanagermenu.style.minHeight = clientHeight +2+'px';
   
    window.onresize = function(){setscreendiv();} 
    window.onscroll = function(){setscreendiv();} 
}

setscreendiv();

window.onresize = function(){setscreendiv();} 
window.onscroll = function(){setscreendiv();} 

var mainmenulist = '<%=Discuz.Common.DNTRequest.GetString("mainmenulist")%>';
var showmenuid = '<%=Discuz.Common.DNTRequest.GetString("showmenuid")%>';

//alert(mainmenulist);
if(mainmenulist=="")
{
    mainmenulist = '2,3,4,5,6,7,8';
    showmenuid = '2';
}

window.onload = function () {init(showmenuid,mainmenulist);}
LoadShortcutMenu();
setscreendiv();
</script>

</body>
</html>
